## grr-response-core-3.2.0.post1.zip

=== docs/Makefile ===
HTML = $(patsubst %.adoc,%.html,$(shell find -name \*.adoc)) 

all: $(HTML)

clean: 
	rm -f $(HTML) 

%.html: %.adoc
	cd $(<D) && asciidoc $(<F) 

.PHONY: all clean

=== debian/control ===
Source: grr-server
Section: misc
Priority: extra
Maintainer: GRR developers <grr-dev@googlegroups.com>
Build-Depends: debhelper (>= 9), dh-systemd (>= 1.5), dh-virtualenv (>= 0.6), lib32z1, libc6-i386, python2.7-dev
Standards-Version: 3.8.3
Homepage: https://github.com/google/grr

Package: grr-server
Section: python
Architecture: any
Pre-Depends:
Depends: debhelper, dpkg (>= 1.16.1), dpkg-dev, python2.7-dev, rpm, systemd, zip
Description: GRR Rapid Response is an Incident Response Framework
 GRR Rapid Response is an Incident Response Framework.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules that uses debhelper >= 8.

# Uncomment this to turn on verbose mode (deb creation generates A LOT of
# log output).
# export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
export DH_VIRTUALENV_INSTALL_ROOT=/usr/share/

%:
	dh $@  --with python-virtualenv,systemd

dh_python2:


override_dh_pysupport:

override_dh_auto_clean:

override_dh_auto_test:

override_dh_installinit:
	dh_installinit
	bash scripts/install_server_from_src.sh -i debian/grr-server
	# Add post installation instructions
	cat debian/grr-server.postinst.in >> debian/grr-server.postinst.debhelper

override_dh_installdocs:

override_dh_installmenu:

override_dh_installmime:

override_dh_installmodules:

override_dh_installlogcheck:

override_dh_installlogrotate:

override_dh_installpam:

override_dh_installppp:

override_dh_installudev:

override_dh_installwm:

override_dh_installxfonts:

override_dh_link:

override_dh_gconf:

override_dh_icons:

override_dh_perl:

override_dh_strip:
	dh_strip --exclude=ffi

override_dh_virtualenv:
	dh_virtualenv --python python2.7 \
		--extra-pip-arg "--no-index" \
		--extra-pip-arg "--find-links=${LOCAL_DEB_PYINDEX}" \
		--extra-pip-arg "${LOCAL_DEB_PYINDEX}/${API_SDIST}" \
		--extra-pip-arg "${LOCAL_DEB_PYINDEX}/${TEST_SDIST}" \
		--extra-pip-arg "${LOCAL_DEB_PYINDEX}/${CLIENT_SDIST}" \
		--extra-pip-arg "${LOCAL_DEB_PYINDEX}/${TEMPLATES_SDIST}" \
		--extra-pip-arg "${LOCAL_DEB_PYINDEX}/${SERVER_SDIST}"
